- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Public Attributes | List of all members
pdftron::Crypto::X501AttributeTypeAndValue Class Reference

`#include <X501AttributeTypeAndValue.h>`

## Public Member Functions
| X501AttributeTypeAndValue (const X501AttributeTypeAndValue &other)
X501AttributeTypeAndValue & | operator= (const X501AttributeTypeAndValue &other)
void | Destroy ()
ObjectIdentifier | GetAttributeTypeOID () const
UString | GetStringValue () const
| ~X501AttributeTypeAndValue ()
| X501AttributeTypeAndValue (TRN_X501AttributeTypeAndValue impl)

## Public Attributes
TRN_X501AttributeTypeAndValue | m_impl

## Detailed Description

This class represents an AttributeTypeAndValue as mentioned in RFC 5280 in the context of DistinguishedNames and as defined in ITU X.501.

Definition at line 21 of file X501AttributeTypeAndValue.h.

## Constructor & Destructor Documentation

pdftron::Crypto::X501AttributeTypeAndValue::X501AttributeTypeAndValue | ( | const X501AttributeTypeAndValue & | other | ) |

pdftron::Crypto::X501AttributeTypeAndValue::~X501AttributeTypeAndValue | ( |  | ) |

pdftron::Crypto::X501AttributeTypeAndValue::X501AttributeTypeAndValue | ( | TRN_X501AttributeTypeAndValue | impl | ) |

## Member Function Documentation

void pdftron::Crypto::X501AttributeTypeAndValue::Destroy | ( |  | ) |

ObjectIdentifier pdftron::Crypto::X501AttributeTypeAndValue::GetAttributeTypeOID | ( |  | ) | const

Retrieves the OID (i.e. one of the object identifiers from the X.500 attribute types) in the form of integer components in a container.

Returns
  an ObjectIdentifier object.

UString pdftron::Crypto::X501AttributeTypeAndValue::GetStringValue | ( |  | ) | const

Retrieves the value associated with the contained OID (object identifier) as a string, if the value is defined by the OID to be of a string type.

Returns
  a string containing the string value.

X501AttributeTypeAndValue& pdftron::Crypto::X501AttributeTypeAndValue::operator= | ( | const X501AttributeTypeAndValue & | other | ) |

## Member Data Documentation

TRN_X501AttributeTypeAndValue pdftron::Crypto::X501AttributeTypeAndValue::m_impl

Definition at line 53 of file X501AttributeTypeAndValue.h.

The documentation for this class was generated from the following file:

- Crypto/X501AttributeTypeAndValue.h